Draft or critique copy for a campaign step
curl --request POST \
--url https://api.example.com/api/v1/campaigns/steps/draft \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "<string>",
"action_type": "<string>",
"sender_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign_name": "<string>",
"instruction": "<string>",
"merge_fields": [
"<string>"
],
"existing_copy": {
"body": "<string>",
"subject": "<string>"
},
"sequence_context": [
{
"step": 123,
"action_type": "<string>",
"subject": "<string>",
"body": "<string>"
}
],
"step_index": 1
}
'import requests
url = "https://api.example.com/api/v1/campaigns/steps/draft"
payload = {
"channel": "<string>",
"action_type": "<string>",
"sender_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign_name": "<string>",
"instruction": "<string>",
"merge_fields": ["<string>"],
"existing_copy": {
"body": "<string>",
"subject": "<string>"
},
"sequence_context": [
{
"step": 123,
"action_type": "<string>",
"subject": "<string>",
"body": "<string>"
}
],
"step_index": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel: '<string>',
action_type: '<string>',
sender_profile_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
campaign_name: '<string>',
instruction: '<string>',
merge_fields: ['<string>'],
existing_copy: {body: JSON.stringify('<string>'), subject: '<string>'},
sequence_context: [
{
step: 123,
action_type: '<string>',
subject: '<string>',
body: JSON.stringify('<string>')
}
],
step_index: 1
})
};
fetch('https://api.example.com/api/v1/campaigns/steps/draft', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/campaigns/steps/draft",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'channel' => '<string>',
'action_type' => '<string>',
'sender_profile_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'campaign_name' => '<string>',
'instruction' => '<string>',
'merge_fields' => [
'<string>'
],
'existing_copy' => [
'body' => '<string>',
'subject' => '<string>'
],
'sequence_context' => [
[
'step' => 123,
'action_type' => '<string>',
'subject' => '<string>',
'body' => '<string>'
]
],
'step_index' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/campaigns/steps/draft"
payload := strings.NewReader("{\n \"channel\": \"<string>\",\n \"action_type\": \"<string>\",\n \"sender_profile_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"campaign_name\": \"<string>\",\n \"instruction\": \"<string>\",\n \"merge_fields\": [\n \"<string>\"\n ],\n \"existing_copy\": {\n \"body\": \"<string>\",\n \"subject\": \"<string>\"\n },\n \"sequence_context\": [\n {\n \"step\": 123,\n \"action_type\": \"<string>\",\n \"subject\": \"<string>\",\n \"body\": \"<string>\"\n }\n ],\n \"step_index\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/campaigns/steps/draft")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"channel\": \"<string>\",\n \"action_type\": \"<string>\",\n \"sender_profile_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"campaign_name\": \"<string>\",\n \"instruction\": \"<string>\",\n \"merge_fields\": [\n \"<string>\"\n ],\n \"existing_copy\": {\n \"body\": \"<string>\",\n \"subject\": \"<string>\"\n },\n \"sequence_context\": [\n {\n \"step\": 123,\n \"action_type\": \"<string>\",\n \"subject\": \"<string>\",\n \"body\": \"<string>\"\n }\n ],\n \"step_index\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/campaigns/steps/draft")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"channel\": \"<string>\",\n \"action_type\": \"<string>\",\n \"sender_profile_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"campaign_name\": \"<string>\",\n \"instruction\": \"<string>\",\n \"merge_fields\": [\n \"<string>\"\n ],\n \"existing_copy\": {\n \"body\": \"<string>\",\n \"subject\": \"<string>\"\n },\n \"sequence_context\": [\n {\n \"step\": 123,\n \"action_type\": \"<string>\",\n \"subject\": \"<string>\",\n \"body\": \"<string>\"\n }\n ],\n \"step_index\": 1\n}"
response = http.request(request)
puts response.read_body{
"channel": "<string>",
"subject": "<string>",
"body": "<string>",
"mode": "compose",
"findings": [
{
"dimension": "hook",
"severity": "high",
"issue": "<string>",
"suggestion": "<string>",
"excerpt": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}campaigns
Draft or critique copy for a campaign step
Generate free editor-time copy using the org-scoped sender-profile service.
POST
/
api
/
v1
/
campaigns
/
steps
/
draft
Draft or critique copy for a campaign step
curl --request POST \
--url https://api.example.com/api/v1/campaigns/steps/draft \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "<string>",
"action_type": "<string>",
"sender_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign_name": "<string>",
"instruction": "<string>",
"merge_fields": [
"<string>"
],
"existing_copy": {
"body": "<string>",
"subject": "<string>"
},
"sequence_context": [
{
"step": 123,
"action_type": "<string>",
"subject": "<string>",
"body": "<string>"
}
],
"step_index": 1
}
'import requests
url = "https://api.example.com/api/v1/campaigns/steps/draft"
payload = {
"channel": "<string>",
"action_type": "<string>",
"sender_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign_name": "<string>",
"instruction": "<string>",
"merge_fields": ["<string>"],
"existing_copy": {
"body": "<string>",
"subject": "<string>"
},
"sequence_context": [
{
"step": 123,
"action_type": "<string>",
"subject": "<string>",
"body": "<string>"
}
],
"step_index": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel: '<string>',
action_type: '<string>',
sender_profile_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
campaign_name: '<string>',
instruction: '<string>',
merge_fields: ['<string>'],
existing_copy: {body: JSON.stringify('<string>'), subject: '<string>'},
sequence_context: [
{
step: 123,
action_type: '<string>',
subject: '<string>',
body: JSON.stringify('<string>')
}
],
step_index: 1
})
};
fetch('https://api.example.com/api/v1/campaigns/steps/draft', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/campaigns/steps/draft",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'channel' => '<string>',
'action_type' => '<string>',
'sender_profile_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'campaign_name' => '<string>',
'instruction' => '<string>',
'merge_fields' => [
'<string>'
],
'existing_copy' => [
'body' => '<string>',
'subject' => '<string>'
],
'sequence_context' => [
[
'step' => 123,
'action_type' => '<string>',
'subject' => '<string>',
'body' => '<string>'
]
],
'step_index' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/campaigns/steps/draft"
payload := strings.NewReader("{\n \"channel\": \"<string>\",\n \"action_type\": \"<string>\",\n \"sender_profile_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"campaign_name\": \"<string>\",\n \"instruction\": \"<string>\",\n \"merge_fields\": [\n \"<string>\"\n ],\n \"existing_copy\": {\n \"body\": \"<string>\",\n \"subject\": \"<string>\"\n },\n \"sequence_context\": [\n {\n \"step\": 123,\n \"action_type\": \"<string>\",\n \"subject\": \"<string>\",\n \"body\": \"<string>\"\n }\n ],\n \"step_index\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/campaigns/steps/draft")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"channel\": \"<string>\",\n \"action_type\": \"<string>\",\n \"sender_profile_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"campaign_name\": \"<string>\",\n \"instruction\": \"<string>\",\n \"merge_fields\": [\n \"<string>\"\n ],\n \"existing_copy\": {\n \"body\": \"<string>\",\n \"subject\": \"<string>\"\n },\n \"sequence_context\": [\n {\n \"step\": 123,\n \"action_type\": \"<string>\",\n \"subject\": \"<string>\",\n \"body\": \"<string>\"\n }\n ],\n \"step_index\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/campaigns/steps/draft")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"channel\": \"<string>\",\n \"action_type\": \"<string>\",\n \"sender_profile_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"campaign_name\": \"<string>\",\n \"instruction\": \"<string>\",\n \"merge_fields\": [\n \"<string>\"\n ],\n \"existing_copy\": {\n \"body\": \"<string>\",\n \"subject\": \"<string>\"\n },\n \"sequence_context\": [\n {\n \"step\": 123,\n \"action_type\": \"<string>\",\n \"subject\": \"<string>\",\n \"body\": \"<string>\"\n }\n ],\n \"step_index\": 1\n}"
response = http.request(request)
puts response.read_body{
"channel": "<string>",
"subject": "<string>",
"body": "<string>",
"mode": "compose",
"findings": [
{
"dimension": "hook",
"severity": "high",
"issue": "<string>",
"suggestion": "<string>",
"excerpt": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Fixed request contract consumed by the campaign step editor.
Minimum string length:
1Existing campaign-step copy that should be critiqued when its body is non-blank.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Zero-based index of the sequence step being generated.
Required range:
x >= 0⌘I